import { ReactNode } from "react";
export type FormInputProps<T extends ReactNode> = {
    label: string;
    children: T;
    onError?: () => boolean;
    errorMessage?: string;
    hintMessage?: string;
    required?: boolean;
};
declare const FormInput: ({ label, children, onError, errorMessage, hintMessage, required, }: FormInputProps<ReactNode>) => import("react/jsx-runtime").JSX.Element;
export default FormInput;
