import styled from "styled-components";
import { primary, gray } from "../../../core/colors/colors";
import { fonts } from "../../../styles/fonts";

export const TextButtonStyle = styled.button`
  padding: 4px;

  border: 0;
  border-radius: 8px;

  color: ${primary[500]};
  background-color: #fff;

  ${fonts.button}

  &:hover {
    background-color: ${gray[100]};

    cursor: pointer;
  }

  &:disabled {
    color: ${gray[400]};
  }
`;
