/// <reference types="react" />
export type ButtonOptionTypes = "DEFAULT" | "DEFAULT_SMOOTH" | "DEFAULT_GHOST" | "ERROR" | "ERROR_SMOOTH" | "ERROR_GHOST" | "DISABLE";
export type ButtonProps = {
    option?: ButtonOptionTypes;
    children: string;
    type?: "submit";
    onClick: () => void;
    isError?: boolean;
    disable?: boolean;
    leftIcon?: JSX.Element;
    rightIcon?: JSX.Element;
    borderColor?: string;
    color?: string;
    backgroundColor?: string;
};
declare const Button: ({ option, children, type, onClick, isError, disable, leftIcon, rightIcon, borderColor, color, backgroundColor, }: ButtonProps) => import("react/jsx-runtime").JSX.Element;
export default Button;
