import { ReactNode } from "react";
import { InputProps2 } from '../../../../../../../../src/components';
export type SelectInputProps<T extends ReactNode | ReactNode[]> = Omit<InputProps2, "onError"> & {
    value: string;
    children: T;
    onError?: () => boolean;
    disable?: boolean;
    placeholder?: string;
};
declare const SelectInput: ({ value, children, onError, disable, placeholder, ...attributes }: SelectInputProps<ReactNode | ReactNode[]>) => import("react/jsx-runtime").JSX.Element;
export default SelectInput;
