import { TableColumn, TableProps } from "../Table";
type TableRenderType = "fixed" | "scroll" | "function";
export type ScrollColumnTypes<T> = {
    [key in TableRenderType]: TableColumn<T>[] | undefined;
};
export type ScrollTableProps<T> = Omit<TableProps<T>, "columns"> & {
    columns: ScrollColumnTypes<T>;
};
declare const ScrollTable: <T extends {}>({}: ScrollTableProps<T>) => import("react/jsx-runtime").JSX.Element;
export default ScrollTable;
