import { ToastItem } from "../utils/toaster";
import { ToastPosition } from "../index";
export type ToastProps = {
    toast: ToastItem;
    duration: number;
    position: ToastPosition;
    offsetY: number;
    addHeightOfToast: (toastId: ToastItem["id"], height: number) => void;
    removeToast: (toastId: ToastItem["id"]) => void;
};
declare const Toast: ({ toast, duration, position, offsetY, addHeightOfToast, removeToast, }: ToastProps) => import("react/jsx-runtime").JSX.Element;
export default Toast;
