import styled from "styled-components";

export const IconButtonStyle = styled.button<{ stroke: string }>`
  width: 40px;
  height: 40px;

  border: 1px solid;
  border-radius: 50px;

  display: flex;
  align-items: center;
  justify-content: center;

  cursor: pointer;

  svg {
    width: 24px;
    height: 24px;

    stroke: ${({ stroke }) => stroke};
  }
`;
